Subject: bug#22186: Use {C,CPLUS,OBJC}_INCLUDE_PATH instead of CPATH

From: Andy Wingo <[email-masked]>
Date: Thu, 17 Dec 2015 09:20:04 +0000

On Wed 16 Dec 2015 20:18, Efraim Flashner <[email-masked]> writes:

>> We should be using C_INCLUDE_PATH instead of CPATH, to mark system
>> headers as system headers.  Except that C_INCLUDE_PATH only works for
>> C, so we need to also set CPLUS_INCLUDE_PATH and OBJC_INCLUDE_PATH.
>> And that's the proposal of this bug :)
>
> Are there other ones that could be set? Every time I compile it I see options
> for java and go.

No, the only ones mentioned in the manual are the ones I mention above.
To me this makes sense, as ObjC and C++ can include C, but that is not
the case for Java and Go.

Andy